import { defineComponent, ref, createElementBlock, openBlock, createElementVNode, createCommentVNode, createVNode, unref, toDisplayString, normalizeClass } from "vue";
import { useRoomStore } from "../../stores/room.mjs";
import Avatar from "../common/Avatar.vue2.mjs";
import { useI18n } from "../../locales/index.mjs";
import renderMsg from "../common/base/Message/Message.mjs";
const _hoisted_1 = { class: "tui-attention-anchor-floating" };
const _hoisted_2 = { class: "anchor-info" };
const _hoisted_3 = { class: "anchor-name" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "AnchorInfo",
  setup(__props) {
    const { t } = useI18n();
    const { roomName, getAnchorUserInfo, isAudience } = useRoomStore();
    const { avatarUrl } = getAnchorUserInfo();
    const isFollow = ref(false);
    const handleFollowAnchor = () => {
      isFollow.value = !isFollow.value;
      if (isFollow.value) {
        renderMsg({
          type: "success",
          message: t("Follow successfully")
        });
      } else {
        renderMsg({
          type: "success",
          message: t("UnFollow successfully")
        });
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createVNode(Avatar, {
            class: "anchor-avatar",
            "img-src": unref(avatarUrl)
          }, null, 8, ["img-src"]),
          createElementVNode("div", _hoisted_3, toDisplayString(unref(roomName)), 1)
        ]),
        unref(isAudience) ? (openBlock(), createElementBlock("div", {
          key: 0,
          onClick: handleFollowAnchor,
          class: normalizeClass(["follow-button", { following: isFollow.value }])
        }, toDisplayString(isFollow.value ? unref(t)("Following") : unref(t)("Follow")), 3)) : createCommentVNode("", true)
      ]);
    };
  }
});
export {
  _sfc_main as default
};
