import { defineComponent, createElementBlock, openBlock, createElementVNode, toDisplayString, unref, Fragment, renderList, createVNode } from "vue";
import { storeToRefs } from "pinia";
import { useRoomStore } from "../../stores/room.mjs";
import { useI18n } from "../../locales/index.mjs";
import Avatar from "../common/Avatar.vue2.mjs";
import AudienceLevel from "../common/AudienceLevel.vue.mjs";
const _hoisted_1 = { class: "audience-container" };
const _hoisted_2 = { class: "audience-title" };
const _hoisted_3 = { class: "audience-length" };
const _hoisted_4 = { class: "audience-list" };
const _hoisted_5 = { class: "audience-avatar" };
const _hoisted_6 = { class: "audience-name" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "AudienceList",
  setup(__props) {
    const { t } = useI18n();
    const roomStore = useRoomStore();
    const { audienceList } = storeToRefs(roomStore);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("span", null, toDisplayString(unref(t)("Online audience")), 1),
          createElementVNode("span", _hoisted_3, "(" + toDisplayString(unref(audienceList).length) + ")", 1)
        ]),
        createElementVNode("div", _hoisted_4, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(audienceList), (audience) => {
            return openBlock(), createElementBlock("div", {
              class: "audience-item",
              key: audience.userId
            }, [
              createElementVNode("div", _hoisted_5, [
                createVNode(Avatar, {
                  "img-src": audience.avatarUrl
                }, null, 8, ["img-src"])
              ]),
              createElementVNode("span", _hoisted_6, toDisplayString(audience.userName || audience.userId), 1),
              createVNode(AudienceLevel, { level: 0 })
            ]);
          }), 128))
        ])
      ]);
    };
  }
});
export {
  _sfc_main as default
};
