import { defineComponent, ref, createElementBlock, openBlock, createVNode, withDirectives, withModifiers, Fragment, renderList, unref, createElementVNode, vShow } from "vue";
import { emojiList, emojiBaseUrl, emojiMap } from "../util.mjs";
import SvgIcon from "../../common/base/SvgIcon.vue.mjs";
import EmojiIcon from "../../common/icons/EmojiIcon.vue.mjs";
import vClickOutside from "../../../directives/vClickOutside.mjs";
import { useI18n } from "../../../locales/index.mjs";
const _hoisted_1 = { class: "emoji-tool" };
const _hoisted_2 = { class: "emoji-list" };
const _hoisted_3 = ["onClick"];
const _hoisted_4 = ["src"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "emoji",
  emits: ["choose-emoji"],
  setup(__props, { emit: __emit }) {
    const { t } = useI18n();
    const emit = __emit;
    const showEmojiToolbar = ref(false);
    const chooseEmoji = (itemName) => {
      const emojiInfo = t(itemName);
      emit("choose-emoji", emojiInfo);
    };
    const handleEmojiToobar = () => {
      showEmojiToolbar.value = !showEmojiToolbar.value;
    };
    const handleClickOutsideEmojiToobar = () => {
      if (showEmojiToolbar.value) {
        showEmojiToolbar.value = false;
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(SvgIcon, {
          icon: EmojiIcon,
          class: "emoji-icon",
          onClick: withModifiers(handleEmojiToobar, ["stop"])
        }),
        withDirectives((openBlock(), createElementBlock("div", _hoisted_2, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(emojiList), (childrenItem, childrenIndex) => {
            return openBlock(), createElementBlock("div", {
              key: childrenIndex,
              class: "emoji-item",
              onClick: ($event) => chooseEmoji(childrenItem)
            }, [
              createElementVNode("img", {
                src: unref(emojiBaseUrl) + unref(emojiMap)[childrenItem]
              }, null, 8, _hoisted_4)
            ], 8, _hoisted_3);
          }), 128))
        ])), [
          [vShow, showEmojiToolbar.value],
          [unref(vClickOutside), handleClickOutsideEmojiToobar]
        ])
      ]);
    };
  }
});
export {
  _sfc_main as default
};
