import { defineComponent, createElementBlock, openBlock, Fragment, renderList, createCommentVNode, toDisplayString, createElementVNode, unref, normalizeStyle } from "vue";
import { useI18n } from "../../../locales/index.mjs";
import { useGiftList } from "../../Gift/useGiftList.mjs";
import { decodeMessageText } from "../util.mjs";
const _hoisted_1 = {
  key: 0,
  class: "text-box"
};
const _hoisted_2 = ["src"];
const _hoisted_3 = {
  key: 2,
  class: "text-gift"
};
const _hoisted_4 = { class: "gift-sender" };
const _hoisted_5 = { class: "gift-receiver" };
const _hoisted_6 = ["src"];
const _hoisted_7 = { class: "gift-count" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "MessageText",
  props: ["data"],
  setup(__props) {
    const { getGiftName, isSelfSend, getGiftNameColor } = useGiftList();
    const { t } = useI18n();
    const props = __props;
    const handleTextMessageShowContext = (text) => decodeMessageText(text);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("span", null, [
        (openBlock(true), createElementBlock(Fragment, null, renderList(handleTextMessageShowContext(props.data), (item, index) => {
          return openBlock(), createElementBlock("span", { key: index }, [
            item.name === "text" ? (openBlock(), createElementBlock("span", _hoisted_1, toDisplayString(item.text), 1)) : item.name === "img" ? (openBlock(), createElementBlock("img", {
              key: 1,
              class: "text-img",
              src: item.src
            }, null, 8, _hoisted_2)) : item.name === "gift" ? (openBlock(), createElementBlock("span", _hoisted_3, [
              createElementVNode("span", _hoisted_4, toDisplayString(`${unref(isSelfSend)(item.giftData.sender) ? unref(t)("I") : item.giftData.sender.userName} `), 1),
              createElementVNode("span", null, toDisplayString(`${unref(t)("send")} `), 1),
              createElementVNode("span", _hoisted_5, toDisplayString(`${item.giftData.receiver.userName} `), 1),
              createElementVNode("span", {
                class: "gift-name",
                style: normalizeStyle({ color: unref(getGiftNameColor)() })
              }, toDisplayString(`${unref(getGiftName)(item.giftData)} `), 5),
              createElementVNode("img", {
                class: "text-img",
                src: item.giftData.src
              }, null, 8, _hoisted_6),
              createElementVNode("span", _hoisted_7, " x " + toDisplayString(item.giftData.count), 1)
            ])) : createCommentVNode("", true)
          ]);
        }), 128))
      ]);
    };
  }
});
export {
  _sfc_main as default
};
