/**
 * Emoji input interface in the chat screen.
 * It should be noted that the emoticons in TUIRoomKit are copyrighted. The purchased IM service does not include the
 * right to use the emoticons. Please replace them with your own emoticons when you go online, otherwise you will
 * face legal risks.
 * The yellow face emoji is copyrighted by Tencent Cloud. To use it, authorization is required.
 * Please contact us through the following link.
 *
 * https://cloud.tencent.com/document/product/269/59590
 */
export declare const emojiBaseUrl = "https://web.sdk.qcloud.com/im/assets/emoji-plugin/";
export declare const emojiMap: Record<string, string>;
export declare const emojiList: string[];
export declare function decodeMessageText(payload: string): string | {
    name: string;
    giftData: {
        giftName: string;
        giftName_en: string;
        src: string;
        count: number;
        sender: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
        receiver: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
        giftId: string;
    };
}[] | {
    name: string;
    text?: string;
    src?: string;
}[] | undefined;
export declare function decodeSendTextMsg(payload: string): string;
export declare function safelyParse(data: string): any;
export declare function isGiftMsg(payload: string): boolean;
export declare function decodeGiftMsg(payload: string): string | {
    name: string;
    giftData: {
        giftName: string;
        giftName_en: string;
        src: string;
        count: number;
        sender: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
        receiver: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
        giftId: string;
    };
}[];
