import { defineComponent, createElementBlock, createCommentVNode, unref, openBlock, createElementVNode, createVNode, toDisplayString } from "vue";
import _imports_0 from "../../assets/imgs/gift-more.png.mjs";
import { useRoomStore } from "../../stores/room.mjs";
import { useI18n } from "../../locales/index.mjs";
import SvgIcon from "../common/base/SvgIcon.vue.mjs";
import WalletIcon from "../common/WalletIcon.vue.mjs";
import ArrowStrokeBackIcon from "../common/icons/ArrowStrokeBackIcon.vue.mjs";
import renderMsg from "../common/base/Message/Message.mjs";
import { SingleRechargeAmount } from "../../constants/giftConfig.mjs";
const _hoisted_1 = {
  key: 0,
  class: "gift-more"
};
const _hoisted_2 = { class: "gift-name" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "GiftMore",
  setup(__props) {
    const { t } = useI18n();
    const { localUser, rechargeMoney, isAudience } = useRoomStore();
    const handleRechargeMoney = (event) => {
      event.stopPropagation();
      const result = rechargeMoney(localUser.userId, SingleRechargeAmount);
      if (result) {
        renderMsg({
          type: "success",
          message: t("Recharge successful")
        });
      } else {
        renderMsg({
          type: "error",
          message: t("Recharge failed")
        });
      }
    };
    return (_ctx, _cache) => {
      return unref(isAudience) ? (openBlock(), createElementBlock("div", _hoisted_1, [
        _cache[0] || (_cache[0] = createElementVNode("div", { class: "gift-icon" }, [
          createElementVNode("img", {
            src: _imports_0,
            alt: ""
          })
        ], -1)),
        createElementVNode("span", _hoisted_2, [
          createElementVNode("span", null, toDisplayString(unref(t)("More")), 1),
          createVNode(SvgIcon, {
            class: "svg-icon",
            size: "12",
            icon: ArrowStrokeBackIcon
          })
        ]),
        createElementVNode("span", {
          class: "recharge-button",
          onClick: handleRechargeMoney
        }, [
          createVNode(SvgIcon, {
            class: "recharge-icon",
            icon: WalletIcon
          }),
          createElementVNode("span", null, toDisplayString(`${unref(t)("Recharge")}(${unref(localUser).money})`), 1)
        ])
      ])) : createCommentVNode("", true);
    };
  }
});
export {
  _sfc_main as default
};
