import { defineComponent, ref, onMounted, onBeforeUnmount, createElementBlock, openBlock, createElementVNode, createVNode, toDisplayString, unref, Transition, withCtx, createCommentVNode } from "vue";
import { useGiftCardManager } from "./useGiftPlayerCard.mjs";
import Avatar from "../common/Avatar.vue2.mjs";
import { useGiftList } from "./useGiftList.mjs";
import { useI18n } from "../../locales/index.mjs";
const _hoisted_1 = { class: "gift-player-card" };
const _hoisted_2 = { class: "card-container" };
const _hoisted_3 = { class: "avatar" };
const _hoisted_4 = { class: "desc-text" };
const _hoisted_5 = { class: "sender-name" };
const _hoisted_6 = { class: "gift-name" };
const _hoisted_7 = {
  key: 0,
  class: "gift-display"
};
const _hoisted_8 = ["src", "alt"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "GiftPlayerCard",
  props: {
    data: {}
  },
  setup(__props) {
    let hideGiftCardTimer = null;
    let showGiftImageTimer = null;
    const { t } = useI18n();
    const isShowGiftImage = ref(false);
    const { getGiftName, isSelfSend } = useGiftList();
    const giftCardManager = useGiftCardManager();
    const getDisplayName = () => {
      return isSelfSend({ userId: props == null ? void 0 : props.data.userId }) ? t("I") : props == null ? void 0 : props.data.senderName;
    };
    const props = __props;
    onMounted(() => {
      hideGiftCardTimer = setTimeout(() => {
        giftCardManager.hide();
      }, 1e3);
      showGiftImageTimer = setTimeout(() => {
        isShowGiftImage.value = true;
      }, 300);
    });
    onBeforeUnmount(() => {
      if (hideGiftCardTimer) {
        clearTimeout(hideGiftCardTimer);
        hideGiftCardTimer = null;
      }
      if (showGiftImageTimer) {
        clearTimeout(showGiftImageTimer);
        showGiftImageTimer = null;
      }
    });
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          createElementVNode("div", _hoisted_3, [
            createVNode(Avatar, {
              src: props == null ? void 0 : props.data.avatarUrl
            }, null, 8, ["src"])
          ]),
          createElementVNode("div", _hoisted_4, [
            createElementVNode("div", _hoisted_5, toDisplayString(getDisplayName()), 1),
            createElementVNode("div", _hoisted_6, toDisplayString(`${unref(getGiftName)(props == null ? void 0 : props.data)}`), 1)
          ]),
          createVNode(Transition, { name: "gift-image" }, {
            default: withCtx(() => [
              isShowGiftImage.value ? (openBlock(), createElementBlock("div", _hoisted_7, [
                createElementVNode("img", {
                  src: props == null ? void 0 : props.data.giftUrl,
                  alt: props == null ? void 0 : props.data.giftName
                }, null, 8, _hoisted_8)
              ])) : createCommentVNode("", true)
            ]),
            _: 1
          })
        ])
      ]);
    };
  }
});
export {
  _sfc_main as default
};
