import { defineComponent, ref, onMounted, onUnmounted, createElementBlock, createCommentVNode, unref, openBlock, createElementVNode, Fragment, renderList, normalizeClass, toDisplayString } from "vue";
import { useGiftList } from "./useGiftList.mjs";
import renderMsg from "../common/base/Message/Message.mjs";
import { useRoomStore } from "../../stores/room.mjs";
import { useI18n } from "../../locales/index.mjs";
const _hoisted_1 = {
  key: 0,
  class: "tui-gift-list"
};
const _hoisted_2 = { class: "gift-item-area" };
const _hoisted_3 = ["onClick"];
const _hoisted_4 = {
  class: "img-wrapper",
  id: "img-wrapper"
};
const _hoisted_5 = ["src", "alt"];
const _hoisted_6 = ["onClick"];
const _hoisted_7 = { class: "gift-price" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "GiftPopupList",
  setup(__props) {
    const giftList = ref([]);
    const selectedGift = ref({});
    const { getGiftList, handleSendGift, getGiftName } = useGiftList();
    const { isAudience } = useRoomStore();
    const { t } = useI18n();
    const handleSelectGift = (gift) => {
      selectedGift.value = gift;
    };
    const handleSendSelectedGift = async (gift) => {
      if (selectedGift.value !== gift) return;
      try {
        await handleSendGift(gift);
        selectedGift.value = {};
      } catch (error) {
        renderMsg({
          type: "error",
          message: t("Insufficient balance, please recharge")
        });
        selectedGift.value = {};
      }
    };
    onMounted(async () => {
      giftList.value = await getGiftList();
    });
    onUnmounted(() => {
      selectedGift.value = {};
    });
    return (_ctx, _cache) => {
      return unref(isAudience) ? (openBlock(), createElementBlock("div", _hoisted_1, [
        createElementVNode("div", _hoisted_2, [
          (openBlock(true), createElementBlock(Fragment, null, renderList(giftList.value, (item, index) => {
            return openBlock(), createElementBlock("div", {
              class: normalizeClass(["gift-item", selectedGift.value === item ? "active" : ""]),
              onClick: ($event) => handleSelectGift(item),
              key: index
            }, [
              createElementVNode("div", _hoisted_4, [
                createElementVNode("img", {
                  src: item.imageUrl,
                  alt: item.giftName
                }, null, 8, _hoisted_5)
              ]),
              createElementVNode("span", {
                class: "gift-name",
                onClick: ($event) => handleSendSelectedGift(item)
              }, toDisplayString(selectedGift.value === item ? unref(t)("Send") : unref(getGiftName)(item)), 9, _hoisted_6),
              createElementVNode("span", _hoisted_7, toDisplayString(item.price), 1)
            ], 10, _hoisted_3);
          }), 128))
        ])
      ])) : createCommentVNode("", true);
    };
  }
});
export {
  _sfc_main as default
};
