export interface Gift {
    giftId: string;
    imageUrl: string;
    animationUrl: string;
    price: number;
    giftName: string;
    giftName_en: string;
    type: number;
}
export interface GiftMsg {
    businessID: 'TUIGift';
    data: {
        gift: {
            animationUrl: string;
            extInfo: {};
            giftId: string;
            giftName: string;
            giftName_en: string;
            imageUrl: string;
            price: number;
        };
        giftCount: number;
        receiver: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
        sender: {
            avatarUrl: string;
            level: string;
            userId: string;
            userName: string;
        };
    };
    platform: string;
    version: string;
}
export declare function useGiftList(): {
    isSelfSend: (sender: {
        userId: string;
    }) => boolean;
    getGiftName: (gift: {
        giftName: string;
        giftName_en: string;
    }) => string;
    getGiftNameColor: () => string;
    createGiftMsg: (gift: Gift) => GiftMsg;
    getGiftList: () => Promise<Gift[]>;
    handleSendGift: (gift: Gift) => Promise<void>;
};
