import { defineComponent, createElementBlock, openBlock, createVNode, createElementVNode, toDisplayString, unref } from "vue";
import { useI18n } from "../../locales/index.mjs";
import SvgIcon from "../common/base/SvgIcon.vue.mjs";
import LoadingScheduleIcon from "../common/icons/LoadingScheduleIcon.vue.mjs";
const _hoisted_1 = { class: "loading-overlay" };
const _hoisted_2 = { class: "loading-text" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "LoadingOverlay",
  setup(__props) {
    const { t } = useI18n();
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(SvgIcon, {
          icon: LoadingScheduleIcon,
          class: "loading"
        }),
        createElementVNode("span", _hoisted_2, toDisplayString(unref(t)("Entering the live now...")), 1)
      ]);
    };
  }
});
export {
  _sfc_main as default
};
