import { defineComponent, computed, createElementBlock, openBlock, normalizeClass, createCommentVNode, createVNode } from "vue";
import { useRoomStore } from "../../../../stores/room.mjs";
import Avatar from "../../../common/Avatar.vue2.mjs";
import SvgIcon from "../../../common/base/SvgIcon.vue.mjs";
import { isPC } from "../../../../utils/environment.mjs";
import { storeToRefs } from "pinia";
import LoadingIcon from "../../../common/icons/LoadingIcon.vue.mjs";
const _hoisted_1 = {
  key: 0,
  class: "loading-region"
};
const _hoisted_2 = {
  key: 1,
  class: "center-user-info-container"
};
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    streamInfo: {},
    enlargeDomId: {},
    changeLargeStream: { type: Boolean }
  },
  setup(__props) {
    const roomStore = useRoomStore();
    const props = __props;
    const { userVolumeObj } = storeToRefs(roomStore);
    const userInfo = computed(() => roomStore.userInfoObj[props.streamInfo.userId]);
    const showVoiceBorder = computed(() => {
      if (isPC) {
        return false;
      }
      return props.streamInfo.hasAudioStream && userVolumeObj.value[props.streamInfo.userId] !== 0;
    });
    return (_ctx, _cache) => {
      var _a;
      return openBlock(), createElementBlock("div", {
        class: normalizeClass(["stream-cover-container", [showVoiceBorder.value ? "border" : ""]])
      }, [
        _ctx.streamInfo.isLoading ? (openBlock(), createElementBlock("div", _hoisted_1, [
          createVNode(SvgIcon, {
            icon: LoadingIcon,
            class: "loading"
          })
        ])) : createCommentVNode("", true),
        !userInfo.value.hasVideoStream ? (openBlock(), createElementBlock("div", _hoisted_2, [
          createVNode(Avatar, {
            class: "avatar-region",
            "img-src": (_a = userInfo.value) == null ? void 0 : _a.avatarUrl
          }, null, 8, ["img-src"])
        ])) : createCommentVNode("", true)
      ], 2);
    };
  }
});
export {
  _sfc_main as default
};
