import { defineComponent, createElementBlock, openBlock, createVNode } from "vue";
import useRoomInfo from "../RoomHeader/RoomInfo/useRoomInfoHooks.mjs";
import SvgIcon from "../common/base/SvgIcon.vue.mjs";
import renderMsg from "../common/base/Message/Message.mjs";
import ShareLinkIconH5 from "../common/icons/ShareLinkIconH5.vue.mjs";
import { useI18n } from "../../locales/index.mjs";
const _hoisted_1 = { class: "tui-share-link-button" };
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "ShareLink",
  setup(__props) {
    const { onCopy } = useRoomInfo();
    const { t } = useI18n();
    const handleCopyShareLink = () => {
      try {
        const href = location.href;
        const regExp = new RegExp(
          "^https?://.*live[?]roomId=[0-9A-z!#$%()+-:;<=.>?@\\[\\]^_{}|~]+"
        );
        const hasShareLink = href.match(regExp);
        if (hasShareLink) {
          onCopy(hasShareLink[0]);
        }
      } catch (error) {
        renderMsg({
          type: "error",
          message: t("Copy share link failure")
        });
      }
    };
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(SvgIcon, {
          class: "svg-icon",
          icon: ShareLinkIconH5,
          onClick: handleCopyShareLink
        })
      ]);
    };
  }
});
export {
  _sfc_main as default
};
