import { defineComponent, computed, createElementBlock, openBlock, normalizeClass, createElementVNode } from "vue";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "TuiSwitch",
  props: {
    modelValue: { type: Boolean },
    theme: {}
  },
  emits: ["update:modelValue"],
  setup(__props, { emit: __emit }) {
    const themeClass = computed(
      () => props.theme ? `tui-theme-${props.theme}` : ""
    );
    const props = __props;
    const emit = __emit;
    function toggleSwitch() {
      emit("update:modelValue", !props.modelValue);
    }
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", {
        class: normalizeClass([
          props.modelValue ? "switch-container" : "switch-container-active",
          themeClass.value
        ]),
        onClick: toggleSwitch
      }, _cache[0] || (_cache[0] = [
        createElementVNode("div", { class: "switch-core" }, null, -1)
      ]), 2);
    };
  }
});
export {
  _sfc_main as default
};
