import { defineComponent, provide, reactive, createElementBlock, openBlock, createBlock, createCommentVNode, unref } from "vue";
import AudioMediaControl from "./AudioMediaControl.vue.mjs";
import AudioSettingTab from "./AudioSettingTab.vue.mjs";
import _sfc_main$1 from "./AudioRequestDialog.vue.mjs";
import { MediaSettingDisplayMode } from "../../type/MediaDeviceSetting.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    displayMode: {},
    supportSwitchMicrophone: { type: Boolean, default: true },
    supportSwitchSpeaker: { type: Boolean, default: true },
    supportAudioLevel: { type: Boolean, default: true }
  },
  emits: ["click-icon"],
  setup(__props, { emit: __emit }) {
    const emits = __emit;
    function handleAudioMediaClick() {
      emits("click-icon");
    }
    const props = __props;
    provide("audioSettingProps", reactive(props));
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", null, [
        _ctx.displayMode === unref(MediaSettingDisplayMode).Icon || _ctx.displayMode === unref(MediaSettingDisplayMode).IconWithPanel ? (openBlock(), createBlock(AudioMediaControl, {
          key: 0,
          onClickIcon: handleAudioMediaClick
        })) : createCommentVNode("", true),
        _ctx.displayMode === unref(MediaSettingDisplayMode).Panel ? (openBlock(), createBlock(AudioSettingTab, { key: 1 })) : createCommentVNode("", true),
        _ctx.displayMode !== unref(MediaSettingDisplayMode).Panel ? (openBlock(), createBlock(_sfc_main$1, { key: 2 })) : createCommentVNode("", true)
      ]);
    };
  }
});
export {
  _sfc_main as default
};
