import { defineComponent, watch, createBlock, openBlock, unref, isRef, withCtx, createElementBlock, Fragment, renderList } from "vue";
import Select from "../../../components/common/base/Select/index.mjs";
import OPtion from "../../../components/common/base/Option/index.mjs";
import { useVideoDeviceState } from "../../hooks/useVideoDeviceState/index.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "VideoProfile",
  setup(__props) {
    const { localVideoQuality, videoQualityList, camera } = useVideoDeviceState();
    watch(localVideoQuality, (val) => {
      camera.updateVideoQuality({ quality: val });
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(Select), {
        modelValue: unref(localVideoQuality),
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => isRef(localVideoQuality) ? localVideoQuality.value = $event : null),
        placeholder: "placeholder",
        class: "select",
        teleported: false,
        "popper-append-to-body": false
      }, {
        default: withCtx(() => [
          (openBlock(true), createElementBlock(Fragment, null, renderList(unref(videoQualityList), (item, index) => {
            return openBlock(), createBlock(unref(OPtion), {
              key: index,
              label: item.label,
              value: item.value
            }, null, 8, ["label", "value"]);
          }), 128))
        ]),
        _: 1
      }, 8, ["modelValue"]);
    };
  }
});
export {
  _sfc_main as default
};
