import { defineComponent, provide, reactive, createElementBlock, openBlock, createBlock, createCommentVNode } from "vue";
import VideoMediaControl from "./VideoMediaControl.vue.mjs";
import _sfc_main$1 from "./VideoRequestDialog.vue.mjs";
import VideoSettingTab from "./VideoSettingTab.vue.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "index",
  props: {
    displayMode: {},
    supportSwitchCamera: { type: Boolean, default: true },
    supportSwitchResolution: { type: Boolean, default: true },
    supportVideoPreview: { type: Boolean, default: true },
    supportSwitchMirror: { type: Boolean, default: true }
  },
  emits: ["click-icon"],
  setup(__props, { emit: __emit }) {
    const emits = __emit;
    function handleVideoMediaClick() {
      emits("click-icon");
    }
    const props = __props;
    provide("videoSettingProps", reactive(props));
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", null, [
        _ctx.displayMode === "Icon" || _ctx.displayMode === "IconWithPanel" ? (openBlock(), createBlock(VideoMediaControl, {
          key: 0,
          onClickIcon: handleVideoMediaClick
        })) : createCommentVNode("", true),
        _ctx.displayMode === "Panel" ? (openBlock(), createBlock(VideoSettingTab, { key: 1 })) : createCommentVNode("", true),
        _ctx.displayMode !== "Panel" ? (openBlock(), createBlock(_sfc_main$1, { key: 2 })) : createCommentVNode("", true)
      ]);
    };
  }
});
export {
  _sfc_main as default
};
