import { TUIAudioRoute } from '@tencentcloud/tuiroom-engine-js';

declare class Microphone {
    static instance: Microphone;
    constructor();
    private onTestMicVolume;
    startMicDeviceTest(options: {
        interval: number;
    }): Promise<void>;
    stopMicDeviceTest(): Promise<void>;
    checkMicrophonePermission(): Promise<void>;
    openLocalMicrophone(): Promise<void>;
    closeLocalMicrophone(): Promise<void>;
    muteLocalAudio(): Promise<void>;
    unmuteLocalAudio(): Promise<void>;
    setCurrentDevice(options: {
        deviceId: string;
    }): Promise<void>;
}
declare class Speaker {
    private speakerTestPlayer;
    startSpeakerDeviceTest(options: {
        filePath: string;
    }): Promise<void>;
    stopSpeakerDeviceTest(): Promise<void>;
    setCurrentDevice(options: {
        deviceId: string;
    }): Promise<void>;
    setAudioRoute(options: {
        route: TUIAudioRoute;
    }): Promise<void>;
}
export default function useAudioDeviceManager(): {
    microphone: Microphone;
    speaker: Speaker;
};
export {};
