import { TUIRole } from '@tencentcloud/tuiroom-engine-js';

interface IUserManager {
    setSelfInfo(options: SelfInfoOptions): Promise<void>;
    setCustomInfoForUser(options: CustomInfoForUser): Promise<void>;
}
export type CustomInfoForUser = {
    userId: string;
    customInfo: Record<string, string>;
};
export type SelfInfoOptions = {
    userName?: string;
    avatarUrl?: string;
    customInfo?: Record<string, any>;
};
export default class UserManager implements IUserManager {
    static instance: UserManager;
    private store;
    private userListCompareFunction;
    private streamListCompareFunction;
    constructor(options: {
        store: any;
    });
    setSelfInfo(options: SelfInfoOptions): Promise<void>;
    setCustomInfoForUser(options: CustomInfoForUser): Promise<any>;
    setLocalUser(userInfo: {
        userId: string;
    }): void;
    changeUserRole(options: {
        userId: string;
        userRole: TUIRole;
    }): Promise<void>;
}
export {};
