import TUIRoomEngine, { TRTCCloud } from "@tencentcloud/tuiroom-engine-js";
import { isVue3 } from "../utils/constants.mjs";
const roomEngine = { instance: null };
const vueVersion = isVue3 ? "vue3" : "vue2";
function useGetRoomEngine() {
  return roomEngine;
}
TUIRoomEngine.once("ready", () => {
  TRTCCloud.callExperimentalAPI(JSON.stringify({
    api: "enableSEI",
    params: {
      enable: true
    }
  }));
  roomEngine.instance = new TUIRoomEngine();
  TUIRoomEngine.callExperimentalAPI(
    JSON.stringify({
      api: "setFramework",
      params: {
        component: "TUILiveKit",
        language: vueVersion
      }
    })
  );
});
export {
  useGetRoomEngine as default
};
