import { ref, computed } from "vue";
const zIndex = ref(0);
const defaultInitialZIndex = 3e3;
function useZIndex() {
  const currentZIndex = computed(() => defaultInitialZIndex + zIndex.value);
  const nextZIndex = () => {
    zIndex.value = zIndex.value + 1;
    return currentZIndex.value;
  };
  return {
    currentZIndex: currentZIndex.value,
    nextZIndex
  };
}
export {
  useZIndex as default
};
