import { getUrlParam } from "./utils.mjs";
const THEME = {
  LIGHT: "white",
  DARK: "black"
};
function getLanguage() {
  const isWxMiniProgram = typeof wx !== "undefined" && wx.getSystemInfoSync;
  let language = getUrlParam("lang") || localStorage.getItem("tuiLive-language") || navigator.language || (isWxMiniProgram ? "zh-CN" : "en-US");
  language = language.replace(/_/, "-").toLowerCase();
  const isZh = language.startsWith("zh");
  language = isZh ? "zh-CN" : "en-US";
  return language;
}
function toTargetTheme(themeOption) {
  const theme = themeOption === "DARK" ? THEME.DARK : THEME.LIGHT;
  return theme;
}
export {
  getLanguage,
  toTargetTheme
};
