import { isElectron, isWeChat } from "./environment.mjs";
import { isFunction } from "./utils.mjs";
const isGetUserMediaSupported = function() {
  if (isElectron || isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && isFunction(navigator.mediaDevices.getUserMedia);
}();
(function() {
  if (isElectron || isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && isFunction(navigator.mediaDevices.getDisplayMedia);
})();
const isEnumerateDevicesSupported = function() {
  if (isElectron || isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && isFunction(navigator.mediaDevices.enumerateDevices);
}();
export {
  isEnumerateDevicesSupported,
  isGetUserMediaSupported
};
