"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const room = require("../../stores/room.js");
const Avatar = require("../common/Avatar.vue2.js");
const index = require("../../locales/index.js");
const Message = require("../common/base/Message/Message.js");
const _hoisted_1 = { class: "tui-attention-anchor-floating" };
const _hoisted_2 = { class: "anchor-info" };
const _hoisted_3 = { class: "anchor-name" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "AnchorInfo",
  setup(__props) {
    const { t } = index.useI18n();
    const { roomName, getAnchorUserInfo, isAudience } = room.useRoomStore();
    const { avatarUrl } = getAnchorUserInfo();
    const isFollow = Vue.ref(false);
    const handleFollowAnchor = () => {
      isFollow.value = !isFollow.value;
      if (isFollow.value) {
        Message.default({
          type: "success",
          message: t("Follow successfully")
        });
      } else {
        Message.default({
          type: "success",
          message: t("UnFollow successfully")
        });
      }
    };
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createVNode(Avatar.default, {
            class: "anchor-avatar",
            "img-src": Vue.unref(avatarUrl)
          }, null, 8, ["img-src"]),
          Vue.createElementVNode("div", _hoisted_3, Vue.toDisplayString(Vue.unref(roomName)), 1)
        ]),
        Vue.unref(isAudience) ? (Vue.openBlock(), Vue.createElementBlock("div", {
          key: 0,
          onClick: handleFollowAnchor,
          class: Vue.normalizeClass(["follow-button", { following: isFollow.value }])
        }, Vue.toDisplayString(isFollow.value ? Vue.unref(t)("Following") : Vue.unref(t)("Follow")), 3)) : Vue.createCommentVNode("", true)
      ]);
    };
  }
});
exports.default = _sfc_main;
