"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const pinia = require("pinia");
const room = require("../../stores/room.js");
const index = require("../../locales/index.js");
const Avatar = require("../common/Avatar.vue2.js");
const AudienceLevel = require("../common/AudienceLevel.vue.js");
const _hoisted_1 = { class: "audience-container" };
const _hoisted_2 = { class: "audience-title" };
const _hoisted_3 = { class: "audience-length" };
const _hoisted_4 = { class: "audience-list" };
const _hoisted_5 = { class: "audience-avatar" };
const _hoisted_6 = { class: "audience-name" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "AudienceList",
  setup(__props) {
    const { t } = index.useI18n();
    const roomStore = room.useRoomStore();
    const { audienceList } = pinia.storeToRefs(roomStore);
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createElementVNode("span", null, Vue.toDisplayString(Vue.unref(t)("Online audience")), 1),
          Vue.createElementVNode("span", _hoisted_3, "(" + Vue.toDisplayString(Vue.unref(audienceList).length) + ")", 1)
        ]),
        Vue.createElementVNode("div", _hoisted_4, [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(audienceList), (audience) => {
            return Vue.openBlock(), Vue.createElementBlock("div", {
              class: "audience-item",
              key: audience.userId
            }, [
              Vue.createElementVNode("div", _hoisted_5, [
                Vue.createVNode(Avatar.default, {
                  "img-src": audience.avatarUrl
                }, null, 8, ["img-src"])
              ]),
              Vue.createElementVNode("span", _hoisted_6, Vue.toDisplayString(audience.userName || audience.userId), 1),
              Vue.createVNode(AudienceLevel.default, { level: 0 })
            ]);
          }), 128))
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
