"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const pinia = require("pinia");
const room = require("../../stores/room.js");
const Avatar = require("../common/Avatar.vue2.js");
const AudienceLevel = require("../common/AudienceLevel.vue.js");
const SvgIcon = require("../common/base/SvgIcon.vue.js");
const ArrowStrokeBackIcon = require("../common/icons/ArrowStrokeBackIcon.vue.js");
const index = require("../../locales/index.js");
const avatar = require("../../assets/imgs/avatar.png.js");
const render = require("../../constants/render.js");
const _hoisted_1 = { class: "tui-audience-list-h5" };
const _hoisted_2 = { class: "audience-list" };
const _hoisted_3 = { class: "audience-count" };
const _hoisted_4 = { class: "audience-popup-header" };
const _hoisted_5 = { class: "audience-popup-title" };
const _hoisted_6 = { class: "audience-popup-list" };
const _hoisted_7 = {
  key: 1,
  class: "audience-popup-info"
};
const _hoisted_8 = { class: "audience-popup-name" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "AudienceListH5",
  setup(__props) {
    const { t } = index.useI18n();
    const isDisplayPopup = Vue.ref(false);
    const roomStore = room.useRoomStore();
    const { audienceList } = pinia.storeToRefs(roomStore);
    const audiencePopupElement = Vue.ref();
    const handleDisplayPopup = () => {
      isDisplayPopup.value = true;
      if (!audiencePopupElement.value) return;
      audiencePopupElement.value.style.transition = "transform 0.4s";
    };
    const handleCollapsePopup = () => {
      isDisplayPopup.value = false;
    };
    const handleTransitionEnd = (event) => {
      if (event.propertyName === "transform") {
        if (!isDisplayPopup.value) {
          if (!audiencePopupElement.value) return;
          audiencePopupElement.value.style.transition = "none";
        }
      }
    };
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", {
          class: "audience-list-button",
          onClick: handleDisplayPopup
        }, [
          Vue.createElementVNode("div", _hoisted_2, [
            (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(audienceList), (audience, index2) => {
              return Vue.openBlock(), Vue.createElementBlock("div", null, [
                index2 < 2 ? (Vue.openBlock(), Vue.createBlock(Avatar.default, {
                  key: 0,
                  class: "audience-item",
                  "img-src": audience.avatarUrl ? audience.avatarUrl : Vue.unref(avatar.default)
                }, null, 8, ["img-src"])) : Vue.createCommentVNode("", true)
              ]);
            }), 256))
          ]),
          Vue.createElementVNode("div", _hoisted_3, Vue.toDisplayString(Vue.unref(audienceList).length), 1)
        ]),
        Vue.createElementVNode("div", {
          ref_key: "audiencePopupElement",
          ref: audiencePopupElement,
          onTransitionend: handleTransitionEnd,
          class: Vue.normalizeClass(["audience-popup", { "display-popup": isDisplayPopup.value }])
        }, [
          Vue.createElementVNode("div", _hoisted_4, [
            Vue.createVNode(SvgIcon.default, {
              class: "svg-icon",
              size: "12",
              icon: ArrowStrokeBackIcon.default,
              onClick: handleCollapsePopup
            }),
            Vue.createElementVNode("div", _hoisted_5, Vue.toDisplayString(Vue.unref(t)("Online audience")) + " (" + Vue.toDisplayString(Vue.unref(audienceList).length) + ")", 1)
          ]),
          Vue.createElementVNode("div", _hoisted_6, [
            (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(audienceList), (audience, index2) => {
              return Vue.openBlock(), Vue.createElementBlock("div", {
                class: "audience-popup-item",
                key: audience == null ? void 0 : audience.userId
              }, [
                index2 < Vue.unref(render.MAX_RENDER_AUDIENCE_COUNT) ? (Vue.openBlock(), Vue.createBlock(Avatar.default, {
                  key: 0,
                  class: "audience-popup-avatar",
                  "img-src": audience == null ? void 0 : audience.avatarUrl
                }, null, 8, ["img-src"])) : Vue.createCommentVNode("", true),
                index2 < Vue.unref(render.MAX_RENDER_AUDIENCE_COUNT) ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_7, [
                  Vue.createElementVNode("span", _hoisted_8, Vue.toDisplayString((audience == null ? void 0 : audience.userName) || (audience == null ? void 0 : audience.userId)), 1),
                  Vue.createVNode(AudienceLevel.default, { level: 0 })
                ])) : Vue.createCommentVNode("", true)
              ]);
            }), 128))
          ])
        ], 34),
        Vue.withDirectives(Vue.createElementVNode("div", {
          class: "audience-popup-mask",
          onClick: handleCollapsePopup
        }, null, 512), [
          [Vue.vShow, isDisplayPopup.value]
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
