"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const util = require("../util.js");
const SvgIcon = require("../../common/base/SvgIcon.vue.js");
const EmojiIcon = require("../../common/icons/EmojiIcon.vue.js");
const vClickOutside = require("../../../directives/vClickOutside.js");
const index = require("../../../locales/index.js");
const _hoisted_1 = { class: "emoji-tool" };
const _hoisted_2 = { class: "emoji-list" };
const _hoisted_3 = ["onClick"];
const _hoisted_4 = ["src"];
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "emoji",
  emits: ["choose-emoji"],
  setup(__props, { emit: __emit }) {
    const { t } = index.useI18n();
    const emit = __emit;
    const showEmojiToolbar = Vue.ref(false);
    const chooseEmoji = (itemName) => {
      const emojiInfo = t(itemName);
      emit("choose-emoji", emojiInfo);
    };
    const handleEmojiToobar = () => {
      showEmojiToolbar.value = !showEmojiToolbar.value;
    };
    const handleClickOutsideEmojiToobar = () => {
      if (showEmojiToolbar.value) {
        showEmojiToolbar.value = false;
      }
    };
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createVNode(SvgIcon.default, {
          icon: EmojiIcon.default,
          class: "emoji-icon",
          onClick: Vue.withModifiers(handleEmojiToobar, ["stop"])
        }),
        Vue.withDirectives((Vue.openBlock(), Vue.createElementBlock("div", _hoisted_2, [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(util.emojiList), (childrenItem, childrenIndex) => {
            return Vue.openBlock(), Vue.createElementBlock("div", {
              key: childrenIndex,
              class: "emoji-item",
              onClick: ($event) => chooseEmoji(childrenItem)
            }, [
              Vue.createElementVNode("img", {
                src: Vue.unref(util.emojiBaseUrl) + Vue.unref(util.emojiMap)[childrenItem]
              }, null, 8, _hoisted_4)
            ], 8, _hoisted_3);
          }), 128))
        ])), [
          [Vue.vShow, showEmojiToolbar.value],
          [Vue.unref(vClickOutside.default), handleClickOutsideEmojiToobar]
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
