"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const giftMore = require("../../assets/imgs/gift-more.png.js");
const room = require("../../stores/room.js");
const index = require("../../locales/index.js");
const SvgIcon = require("../common/base/SvgIcon.vue.js");
const WalletIcon = require("../common/WalletIcon.vue.js");
const ArrowStrokeBackIcon = require("../common/icons/ArrowStrokeBackIcon.vue.js");
const Message = require("../common/base/Message/Message.js");
const giftConfig = require("../../constants/giftConfig.js");
const _hoisted_1 = {
  key: 0,
  class: "gift-more"
};
const _hoisted_2 = { class: "gift-name" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "GiftMore",
  setup(__props) {
    const { t } = index.useI18n();
    const { localUser, rechargeMoney, isAudience } = room.useRoomStore();
    const handleRechargeMoney = (event) => {
      event.stopPropagation();
      const result = rechargeMoney(localUser.userId, giftConfig.SingleRechargeAmount);
      if (result) {
        Message.default({
          type: "success",
          message: t("Recharge successful")
        });
      } else {
        Message.default({
          type: "error",
          message: t("Recharge failed")
        });
      }
    };
    return (_ctx, _cache) => {
      return Vue.unref(isAudience) ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        _cache[0] || (_cache[0] = Vue.createElementVNode("div", { class: "gift-icon" }, [
          Vue.createElementVNode("img", {
            src: giftMore.default,
            alt: ""
          })
        ], -1)),
        Vue.createElementVNode("span", _hoisted_2, [
          Vue.createElementVNode("span", null, Vue.toDisplayString(Vue.unref(t)("More")), 1),
          Vue.createVNode(SvgIcon.default, {
            class: "svg-icon",
            size: "12",
            icon: ArrowStrokeBackIcon.default
          })
        ]),
        Vue.createElementVNode("span", {
          class: "recharge-button",
          onClick: handleRechargeMoney
        }, [
          Vue.createVNode(SvgIcon.default, {
            class: "recharge-icon",
            icon: WalletIcon.default
          }),
          Vue.createElementVNode("span", null, Vue.toDisplayString(`${Vue.unref(t)("Recharge")}(${Vue.unref(localUser).money})`), 1)
        ])
      ])) : Vue.createCommentVNode("", true);
    };
  }
});
exports.default = _sfc_main;
