"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const useGiftPlayerCard = require("./useGiftPlayerCard.js");
const Avatar = require("../common/Avatar.vue2.js");
const useGiftList = require("./useGiftList.js");
const index = require("../../locales/index.js");
const _hoisted_1 = { class: "gift-player-card" };
const _hoisted_2 = { class: "card-container" };
const _hoisted_3 = { class: "avatar" };
const _hoisted_4 = { class: "desc-text" };
const _hoisted_5 = { class: "sender-name" };
const _hoisted_6 = { class: "gift-name" };
const _hoisted_7 = {
  key: 0,
  class: "gift-display"
};
const _hoisted_8 = ["src", "alt"];
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "GiftPlayerCard",
  props: {
    data: {}
  },
  setup(__props) {
    let hideGiftCardTimer = null;
    let showGiftImageTimer = null;
    const { t } = index.useI18n();
    const isShowGiftImage = Vue.ref(false);
    const { getGiftName, isSelfSend } = useGiftList.useGiftList();
    const giftCardManager = useGiftPlayerCard.useGiftCardManager();
    const getDisplayName = () => {
      return isSelfSend({ userId: props == null ? void 0 : props.data.userId }) ? t("I") : props == null ? void 0 : props.data.senderName;
    };
    const props = __props;
    Vue.onMounted(() => {
      hideGiftCardTimer = setTimeout(() => {
        giftCardManager.hide();
      }, 1e3);
      showGiftImageTimer = setTimeout(() => {
        isShowGiftImage.value = true;
      }, 300);
    });
    Vue.onBeforeUnmount(() => {
      if (hideGiftCardTimer) {
        clearTimeout(hideGiftCardTimer);
        hideGiftCardTimer = null;
      }
      if (showGiftImageTimer) {
        clearTimeout(showGiftImageTimer);
        showGiftImageTimer = null;
      }
    });
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createElementVNode("div", _hoisted_2, [
          Vue.createElementVNode("div", _hoisted_3, [
            Vue.createVNode(Avatar.default, {
              src: props == null ? void 0 : props.data.avatarUrl
            }, null, 8, ["src"])
          ]),
          Vue.createElementVNode("div", _hoisted_4, [
            Vue.createElementVNode("div", _hoisted_5, Vue.toDisplayString(getDisplayName()), 1),
            Vue.createElementVNode("div", _hoisted_6, Vue.toDisplayString(`${Vue.unref(getGiftName)(props == null ? void 0 : props.data)}`), 1)
          ]),
          Vue.createVNode(Vue.Transition, { name: "gift-image" }, {
            default: Vue.withCtx(() => [
              isShowGiftImage.value ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_7, [
                Vue.createElementVNode("img", {
                  src: props == null ? void 0 : props.data.giftUrl,
                  alt: props == null ? void 0 : props.data.giftName
                }, null, 8, _hoisted_8)
              ])) : Vue.createCommentVNode("", true)
            ]),
            _: 1
          })
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
