import { ComputedRef } from 'vue';

export interface GiftCardManager {
    isShowing: ComputedRef<boolean>;
    playList: ComputedRef<GiftCardMsg[]>;
    show: (data: any) => void;
    hide: () => void;
}
export interface GiftCardMsg {
    avatarUrl: string;
    senderName: string;
    giftName: string;
    giftName_en: string;
    giftUrl: string;
    animationUrl: string;
    giftId: string;
    userId: string;
    id: number;
}
export declare const safelyParseGiftMsgForPlayerCard: (giftMsg: string) => GiftCardMsg;
export declare function createGiftCardManager(): GiftCardManager;
export declare function useGiftCardManager(): GiftCardManager;
