"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const TUIRoomEngine = require("@tencentcloud/tuiroom-engine-js");
const useRoomEngine = require("../../../hooks/useRoomEngine.js");
const index = require("../../../locales/index.js");
const { t } = index.useI18n();
const roomEngine = useRoomEngine.default();
const isShowAutoPlayFailPrompt = Vue.ref(false);
const autoPlayFailPromptText = Vue.ref("");
const resumeFunction = Vue.ref(null);
const autoplayFailCallback = (callbackInfo) => {
  const { resume } = callbackInfo;
  if (!isShowAutoPlayFailPrompt.value) {
    isShowAutoPlayFailPrompt.value = true;
    autoPlayFailPromptText.value = t("Click page to resume audio/video play");
    resumeFunction.value = resume;
  }
};
const closeAutoPlayFailPrompt = () => {
  if (isShowAutoPlayFailPrompt.value) {
    if (resumeFunction.value && typeof resumeFunction.value === "function") {
      resumeFunction.value();
      resumeFunction.value = null;
    }
    isShowAutoPlayFailPrompt.value = false;
    autoPlayFailPromptText.value = "";
    cleanupAutoPlayListener();
  }
};
const cleanupAutoPlayListener = () => {
  var _a;
  (_a = roomEngine.instance) == null ? void 0 : _a.off(
    TUIRoomEngine.TUIRoomEvents.onAutoPlayFailed,
    autoplayFailCallback
  );
};
function useAutoPlayFailPrompt() {
  TUIRoomEngine.once("ready", () => {
    var _a;
    (_a = roomEngine.instance) == null ? void 0 : _a.on(
      TUIRoomEngine.TUIRoomEvents.onAutoPlayFailed,
      autoplayFailCallback
    );
  });
  return {
    isShowAutoPlayFailPrompt,
    autoPlayFailPromptText,
    closeAutoPlayFailPrompt
  };
}
exports.default = useAutoPlayFailPrompt;
