"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const room = require("../../../../stores/room.js");
const Avatar = require("../../../common/Avatar.vue2.js");
const SvgIcon = require("../../../common/base/SvgIcon.vue.js");
const environment = require("../../../../utils/environment.js");
const pinia = require("pinia");
const LoadingIcon = require("../../../common/icons/LoadingIcon.vue.js");
const _hoisted_1 = {
  key: 0,
  class: "loading-region"
};
const _hoisted_2 = {
  key: 1,
  class: "center-user-info-container"
};
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "index",
  props: {
    streamInfo: {},
    enlargeDomId: {},
    changeLargeStream: { type: Boolean }
  },
  setup(__props) {
    const roomStore = room.useRoomStore();
    const props = __props;
    const { userVolumeObj } = pinia.storeToRefs(roomStore);
    const userInfo = Vue.computed(() => roomStore.userInfoObj[props.streamInfo.userId]);
    const showVoiceBorder = Vue.computed(() => {
      if (environment.isPC) {
        return false;
      }
      return props.streamInfo.hasAudioStream && userVolumeObj.value[props.streamInfo.userId] !== 0;
    });
    return (_ctx, _cache) => {
      var _a;
      return Vue.openBlock(), Vue.createElementBlock("div", {
        class: Vue.normalizeClass(["stream-cover-container", [showVoiceBorder.value ? "border" : ""]])
      }, [
        _ctx.streamInfo.isLoading ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
          Vue.createVNode(SvgIcon.default, {
            icon: LoadingIcon.default,
            class: "loading"
          })
        ])) : Vue.createCommentVNode("", true),
        !userInfo.value.hasVideoStream ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_2, [
          Vue.createVNode(Avatar.default, {
            class: "avatar-region",
            "img-src": (_a = userInfo.value) == null ? void 0 : _a.avatarUrl
          }, null, 8, ["img-src"])
        ])) : Vue.createCommentVNode("", true)
      ], 2);
    };
  }
});
exports.default = _sfc_main;
