"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const useRoomInfoHooks = require("../RoomHeader/RoomInfo/useRoomInfoHooks.js");
const SvgIcon = require("../common/base/SvgIcon.vue.js");
const Message = require("../common/base/Message/Message.js");
const ShareLinkIconH5 = require("../common/icons/ShareLinkIconH5.vue.js");
const index = require("../../locales/index.js");
const _hoisted_1 = { class: "tui-share-link-button" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "ShareLink",
  setup(__props) {
    const { onCopy } = useRoomInfoHooks.default();
    const { t } = index.useI18n();
    const handleCopyShareLink = () => {
      try {
        const href = location.href;
        const regExp = new RegExp(
          "^https?://.*live[?]roomId=[0-9A-z!#$%()+-:;<=.>?@\\[\\]^_{}|~]+"
        );
        const hasShareLink = href.match(regExp);
        if (hasShareLink) {
          onCopy(hasShareLink[0]);
        }
      } catch (error) {
        Message.default({
          type: "error",
          message: t("Copy share link failure")
        });
      }
    };
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        Vue.createVNode(SvgIcon.default, {
          class: "svg-icon",
          icon: ShareLinkIconH5.default,
          onClick: handleCopyShareLink
        })
      ]);
    };
  }
});
exports.default = _sfc_main;
