"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const index = require("./index.vue.js");
const MessageBox = ({
  title,
  message,
  callback,
  duration,
  cancelButtonText,
  confirmButtonText
}) => {
  const container = document.createElement("div");
  const fullscreenElement = document.fullscreenElement || document.getElementById("liveContainer") || document.getElementById("pre-live-container");
  if (!fullscreenElement) return;
  fullscreenElement.appendChild(container);
  const onRemove = () => {
    Vue.render(null, container);
    fullscreenElement.removeChild(container);
  };
  const vnode = Vue.createVNode(index.default, {
    title,
    message,
    callback,
    duration,
    cancelButtonText,
    confirmButtonText,
    remove: onRemove
  });
  Vue.render(vnode, container);
};
exports.default = MessageBox;
