"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const utils = require("../../../utils/utils.js");
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "SvgIcon",
  props: {
    size: {},
    responseSize: {},
    customClass: {},
    icon: {},
    color: {}
  },
  emits: ["click"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const customStyle = Vue.computed(
      () => props.size ? `width: ${utils.addSuffix(props.size)};height: ${utils.addSuffix(props.size)};` : ""
    );
    function handleClick(event) {
      emit("click", event);
    }
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("span", {
        class: Vue.normalizeClass(["svg-icon", [_ctx.customClass]]),
        style: Vue.normalizeStyle(customStyle.value),
        onClick: handleClick
      }, [
        _ctx.icon ? (Vue.openBlock(), Vue.createBlock(Vue.resolveDynamicComponent(_ctx.icon), { key: 0 })) : Vue.createCommentVNode("", true),
        Vue.renderSlot(_ctx.$slots, "default", {}, void 0, true)
      ], 6);
    };
  }
});
exports.default = _sfc_main;
