"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const index$1 = require("../../../components/common/base/Select/index.js");
const index$2 = require("../../../components/common/base/Option/index.js");
const index = require("../../hooks/useVideoDeviceState/index.js");
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "CameraSelect",
  props: {
    onChange: {},
    disabled: { type: Boolean, default: false }
  },
  setup(__props) {
    const { cameraList, currentCameraId, camera } = index.useVideoDeviceState();
    const props = __props;
    const currentDeviceId = Vue.ref(currentCameraId.value);
    Vue.watch(
      currentCameraId,
      (val) => {
        if (currentDeviceId.value !== val) {
          currentDeviceId.value = val;
        }
      },
      { immediate: true }
    );
    async function handleChange(deviceId) {
      props.onChange && props.onChange(deviceId);
      try {
        await camera.setCurrentDevice({
          deviceId
        });
      } catch (error) {
        if (cameraList.value.map((item) => item.deviceId).includes(currentCameraId.value)) {
          currentDeviceId.value = currentCameraId.value;
        }
      }
    }
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createBlock(Vue.unref(index$1.default), {
        modelValue: currentDeviceId.value,
        "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => currentDeviceId.value = $event),
        placeholder: "placeholder",
        class: "select",
        disabled: _ctx.disabled,
        teleported: false,
        "popper-append-to-body": false,
        onChange: handleChange
      }, {
        default: Vue.withCtx(() => [
          (Vue.openBlock(true), Vue.createElementBlock(Vue.Fragment, null, Vue.renderList(Vue.unref(cameraList), (item) => {
            return Vue.openBlock(), Vue.createBlock(Vue.unref(index$2.default), {
              key: item.deviceId,
              label: item.deviceName,
              value: item.deviceId
            }, null, 8, ["label", "value"]);
          }), 128))
        ]),
        _: 1
      }, 8, ["modelValue", "disabled"]);
    };
  }
});
exports.default = _sfc_main;
