"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const uikitBaseComponentVue3 = require("@tencentcloud/uikit-base-component-vue3");
require("../../hooks/useAudioDeviceState/index.js");
const index$1 = require("../../hooks/useVideoDeviceState/index.js");
const TUIRoomEngine = require("@tencentcloud/tuiroom-engine-js");
require("../../../stores/room.js");
require("../../hooks/useUserState/useUserActions/useAudioAction.js");
require("../../hooks/useUserState/useUserActions/useChatAction.js");
require("../../hooks/useUserState/useUserActions/useVideoAction.js");
require("../../hooks/useUserState/useUserActions/useTransferOwnerAction.js");
require("../../hooks/useUserState/useUserActions/useChangeNameCardAction/index.js");
require("../../hooks/useUserState/useUserActions/useKickUserAction.js");
require("../../hooks/useUserState/useUserActions/useSeatAction.js");
require("../../hooks/useUserState/useUserActions/useAdminAction.js");
require("pinia");
require("../../store/room.js");
require("../../../hooks/useRoomEngine.js");
require("../../../utils/environment.js");
require("../../manager/userEventManger.js");
const index = require("../../../locales/index.js");
;/* empty css                                            */
require("../../../hooks/useZIndex.js");
;/* empty css                                                     */
const _hoisted_1 = { class: "video-preview-container" };
const _hoisted_2 = { class: "attention-info" };
const _hoisted_3 = {
  key: 0,
  class: "off-camera-info"
};
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "VideoPreview",
  setup(__props) {
    const { t } = index.useI18n();
    const { isCameraTesting, isCameraTestLoading, camera } = index$1.useVideoDeviceState();
    Vue.onMounted(async () => {
      TUIRoomEngine.once("ready", () => {
        camera.startCameraDeviceTest({ view: "video-preview" });
      });
    });
    Vue.onUnmounted(async () => {
      await camera.stopCameraDeviceTest();
    });
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("div", _hoisted_1, [
        _cache[0] || (_cache[0] = Vue.createElementVNode("div", {
          id: "video-preview",
          class: "video-preview"
        }, null, -1)),
        Vue.createElementVNode("div", _hoisted_2, [
          !Vue.unref(isCameraTesting) && !Vue.unref(isCameraTestLoading) ? (Vue.openBlock(), Vue.createElementBlock("span", _hoisted_3, Vue.toDisplayString(Vue.unref(t)("Off Camera")), 1)) : Vue.createCommentVNode("", true),
          Vue.unref(isCameraTestLoading) ? (Vue.openBlock(), Vue.createBlock(Vue.unref(uikitBaseComponentVue3.IconLoading), {
            key: 1,
            size: "36",
            class: "loading"
          })) : Vue.createCommentVNode("", true)
        ])
      ]);
    };
  }
});
exports.default = _sfc_main;
