import { default as TUIRoomEngine } from '@tencentcloud/tuiroom-engine-js';

export { MediaDeviceState } from '../../type';
export declare function useVideoDeviceState(): {
    camera: {
        startCameraDeviceTest(options: {
            view: string;
        }): Promise<void>;
        stopCameraDeviceTest(): Promise<void>;
        switchCamera(options: {
            isFrontCamera: boolean;
        }): Promise<void>;
        switchMirror(options: {
            mirror: boolean;
        }): Promise<void>;
        updateVideoQuality(options: {
            quality: TUIRoomEngine;
        }): Promise<void>;
        openLocalCamera(): Promise<void>;
        closeLocalCamera(): Promise<void>;
        setCurrentDevice(options: {
            deviceId: string;
        }): Promise<void>;
    };
    cameraList: import('vue').Ref<TUIDeviceInfo[], TUIDeviceInfo[]>;
    currentCameraDevice: import('vue').Ref<any, any>;
    currentCameraId: import('vue').ComputedRef<string>;
    isFrontCamera: import('vue').Ref<boolean, boolean>;
    cameraState: import('vue').ComputedRef<import('.').MediaDeviceState>;
    isLocalMirror: import('vue').Ref<boolean, boolean>;
    localVideoQuality: import('vue').Ref<TUIVideoQuality, TUIVideoQuality>;
    videoQualityList: import('vue').ComputedRef<{
        label: string;
        value: TUIRoomEngine;
    }[]>;
    isCameraTesting: import('vue').Ref<boolean, boolean>;
    isCameraTestLoading: import('vue').Ref<boolean, boolean>;
};
export default useVideoDeviceState;
