"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const TUIRoomEngine = require("@tencentcloud/tuiroom-engine-js");
const videoDeviceManagerState = require("./videoDeviceManagerState.js");
const videoDeviceManager = require("./videoDeviceManager.js");
const videoDeviceListHandler = require("./videoDeviceListHandler.js");
const useDeviceManager = require("../../../hooks/useDeviceManager.js");
const deviceManager = useDeviceManager.default();
const { localVideoQuality, isLocalMirror } = videoDeviceManagerState.default();
const { camera } = videoDeviceManager.default();
TUIRoomEngine.once("ready", () => {
  var _a;
  (_a = deviceManager.instance) == null ? void 0 : _a.on(
    TUIRoomEngine.TUIRoomDeviceMangerEvents.onDeviceChanged,
    videoDeviceListHandler.onDeviceChanged
  );
  videoDeviceListHandler.initMediaDeviceList();
  camera.updateVideoQuality({ quality: localVideoQuality.value });
  camera.switchMirror({ mirror: isLocalMirror.value });
});
function useVideoDeviceState() {
  const videoDeviceManagerState$1 = videoDeviceManagerState.default();
  const videoDeviceManager$1 = videoDeviceManager.default();
  return {
    ...videoDeviceManagerState$1,
    ...videoDeviceManager$1
  };
}
exports.default = useVideoDeviceState;
exports.useVideoDeviceState = useVideoDeviceState;
