import { TUIRoomType, TUIEnterRoomOptions, TUIRoomInfo, TUIMediaDevice, TUISeatMode, TUIRole } from '@tencentcloud/tuiroom-engine-js';

export default class RoomManager {
    static instance: RoomManager;
    private store;
    constructor(options: {
        store: any;
    });
    createRoom(params: {
        roomId: string;
        roomName?: string;
        roomType?: TUIRoomType;
        isSeatEnabled?: boolean;
        seatMode?: TUISeatMode;
        isMicrophoneDisableForAllUser?: boolean;
        isScreenShareDisableForAllUser?: boolean;
        isCameraDisableForAllUser?: boolean;
        isMessageDisableForAllUser?: boolean;
        maxSeatCount?: number;
        password?: string;
    }): Promise<void>;
    enterRoom(params: {
        roomId: string;
        roomType: TUIRoomType;
        options?: TUIEnterRoomOptions;
    }): Promise<TUIRoomInfo | undefined>;
    private disableSmallVideoStreamForH5;
    leaveRoom(): Promise<void>;
    destroyRoom(): Promise<void>;
    fetchRoomInfo(): Promise<any>;
    updateRoomNameByAdmin(options: {
        roomName: string;
    }): Promise<void>;
    updateRoomSeatModeByAdmin(options: {
        seatMode: TUISeatMode;
    }): Promise<void>;
    updateRoomPasswordByAdmin(options: {
        password: string;
    }): Promise<void>;
    disableDeviceForAllUserByAdmin(options: {
        device: TUIMediaDevice;
        isDisable: boolean;
    }): Promise<void>;
    disableSendingMessageForAllUser(options: {
        isDisable: boolean;
    }): Promise<void>;
    changeUserRole(options: {
        userId: string;
        userRole: TUIRole;
    }): Promise<void>;
    closeRemoteDeviceByAdmin(options: {
        userId: string;
        device: TUIMediaDevice;
    }): Promise<void>;
    openRemoteDeviceByAdmin(options: {
        userId: string;
        device: TUIMediaDevice;
        timeout: number;
        requestCallback?: (callbackInfo: TUIRequestCallback) => void;
    }): Promise<any>;
    disableSendingMessageByAdmin(options: {
        userId: string;
        isDisable: boolean;
    }): Promise<void>;
    kickRemoteUserOutOfRoom(options: {
        userId: string;
    }): Promise<void>;
    changeUserNameCard(options: {
        userId: string;
        nameCard: string;
    }): Promise<void>;
}
