"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const TUIRoomEngine = require("@tencentcloud/tuiroom-engine-js");
const utils = require("../../../utils/utils.js");
function getNewUserInfo(userId) {
  const newUserInfo = {
    userId,
    userName: "",
    avatarUrl: "",
    nameCard: "",
    hasAudioStream: false,
    hasVideoStream: false,
    hasScreenStream: false,
    isMessageDisabled: false,
    userRole: TUIRoomEngine.TUIRole.kGeneralUser,
    customInfo: {},
    isOnSeat: false,
    isInRoom: false,
    invitationStatus: TUIRoomEngine.TUIInvitationStatus.kNone,
    timestamp: Date.now()
  };
  return newUserInfo;
}
function getUserListSortComparator({
  localUserId
}) {
  const defaultUserListCompareFunction = utils.combineComparators(
    utils.createComparator(
      (userInfo) => Boolean(userInfo.userId === localUserId)
    ),
    utils.createComparator(
      (userInfo) => Boolean(userInfo.userRole === TUIRoomEngine.TUIRole.kRoomOwner)
    ),
    utils.createComparator(
      (userInfo) => Boolean(userInfo.userRole === TUIRoomEngine.TUIRole.kAdministrator)
    ),
    utils.createComparator((userInfo) => Boolean(userInfo.hasScreenStream)),
    utils.createComparator(
      (userInfo) => Boolean(userInfo.hasVideoStream && userInfo.hasAudioStream)
    ),
    utils.createComparator((userInfo) => Boolean(userInfo.hasVideoStream)),
    utils.createComparator((userInfo) => Boolean(userInfo.hasAudioStream)),
    utils.createComparator((userInfo) => Boolean(userInfo.isOnSeat)),
    utils.createComparator(
      (userInfoA, userInfoB) => Boolean(Number(userInfoA.timestamp) < Number(userInfoB.timestamp))
    )
  );
  return defaultUserListCompareFunction;
}
exports.getNewUserInfo = getNewUserInfo;
exports.getUserListSortComparator = getUserListSortComparator;
