"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const zIndex = Vue.ref(0);
const defaultInitialZIndex = 3e3;
function useZIndex() {
  const currentZIndex = Vue.computed(() => defaultInitialZIndex + zIndex.value);
  const nextZIndex = () => {
    zIndex.value = zIndex.value + 1;
    return currentZIndex.value;
  };
  return {
    currentZIndex: currentZIndex.value,
    nextZIndex
  };
}
exports.default = useZIndex;
