import { RoomParam, RoomInitData } from './services/index';

declare function dismissRoom(): Promise<void>;
declare function leaveRoom(): Promise<void>;
declare function init(option: RoomInitData): Promise<void>;
declare function createRoom(options: {
    roomId: string;
    roomName: string;
    roomParam?: RoomParam;
}): Promise<void>;
declare function enterRoom(options: {
    roomId: string;
    roomParam?: RoomParam;
}): Promise<void>;
declare function resetStore(): void;
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
    userInfo: {
        userId: string;
        userName: string;
        avatarUrl: string;
    };
}>>, {
    init: typeof init;
    createRoom: typeof createRoom;
    enterRoom: typeof enterRoom;
    dismissRoom: typeof dismissRoom;
    leaveRoom: typeof leaveRoom;
    resetStore: typeof resetStore;
    t: any;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    "on-log-out": (...args: any[]) => void;
    "on-create-room": (...args: any[]) => void;
    "on-enter-room": (...args: any[]) => void;
    "on-exit-room": (...args: any[]) => void;
    "on-destroy-room": (...args: any[]) => void;
    "on-kicked-out-of-room": (...args: any[]) => void;
    "on-kicked-off-line": (...args: any[]) => void;
    "on-userSig-expired": (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<__VLS_TypePropsToRuntimeProps<{
    userInfo: {
        userId: string;
        userName: string;
        avatarUrl: string;
    };
}>>> & Readonly<{
    "onOn-log-out"?: ((...args: any[]) => any) | undefined;
    "onOn-create-room"?: ((...args: any[]) => any) | undefined;
    "onOn-enter-room"?: ((...args: any[]) => any) | undefined;
    "onOn-exit-room"?: ((...args: any[]) => any) | undefined;
    "onOn-destroy-room"?: ((...args: any[]) => any) | undefined;
    "onOn-kicked-out-of-room"?: ((...args: any[]) => any) | undefined;
    "onOn-kicked-off-line"?: ((...args: any[]) => any) | undefined;
    "onOn-userSig-expired"?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: import('vue').PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: import('vue').PropType<T[K]>;
        required: true;
    };
};
