"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
const logo = require("./assets/imgs/logo.png.js");
const index$1 = ;/* empty css                                  */
const index$3 = ;/* empty css                           */
const utils = require("./utils/utils.js");
const environment = require("./utils/environment.js");
const vTap = require("./directives/vTap.js");
const TUIRoomEngine = require("@tencentcloud/tuiroom-engine-js");
const uikitBaseComponentVue3 = require("@tencentcloud/uikit-base-component-vue3");
const room = require("./stores/room.js");
const index = require("./components/RoomHeader/UserInfo/index.js");
const LoadingOverlay = require("./components/PreRoom/LoadingOverlay.vue.js");
const index$4 = require("./components/common/base/MessageBox/index.js");
const Message = require("./components/common/base/Message/Message.js");
const useTRTCDetect = require("./hooks/useTRTCDetect.js");
const AnchorInfo = require("./components/AnchorInfo/AnchorInfo.vue.js");
const AudienceList = require("./components/AudienceList/AudienceList.vue.js");
const AudienceListH5 = require("./components/AudienceList/AudienceListH5.vue.js");
const GiftList = require("./components/Gift/GiftList.vue.js");
const GiftPopupList = require("./components/Gift/GiftPopupList.vue.js");
const GiftMore = require("./components/Gift/GiftMore.vue.js");
const CloseIcon = require("./components/common/icons/CloseIcon.vue.js");
const ShareLink = require("./components/ShareLink/ShareLink.vue.js");
const index_vue_vue_type_script_setup_true_lang = ;/* empty css                                        */
const index$2 = ;/* empty css                                        */
const roomService = require("./services/roomService.js");
const types = require("./services/types.js");
require("./locales/index.js");
require("mitt");
require("./services/manager/roomActionManager.js");
const useDeviceManager = require("./hooks/useDeviceManager.js");
const vClickOutside = require("./directives/vClickOutside.js");
const useGiftPlayerCard = require("./components/Gift/useGiftPlayerCard.js");
const pinia = require("pinia");
require("./core/hooks/useAudioDeviceState/index.js");
require("./core/hooks/useVideoDeviceState/index.js");
require("./core/hooks/useUserState/useUserActions/useAudioAction.js");
require("./core/hooks/useUserState/useUserActions/useChatAction.js");
require("./core/hooks/useUserState/useUserActions/useVideoAction.js");
require("./core/hooks/useUserState/useUserActions/useTransferOwnerAction.js");
require("./core/hooks/useUserState/useUserActions/useChangeNameCardAction/index.js");
require("./core/hooks/useUserState/useUserActions/useKickUserAction.js");
require("./core/hooks/useUserState/useUserActions/useSeatAction.js");
require("./core/hooks/useUserState/useUserActions/useAdminAction.js");
require("./core/store/room.js");
require("./hooks/useRoomEngine.js");
require("./core/manager/userEventManger.js");
const MediaDeviceSetting = require("./core/type/MediaDeviceSetting.js");
;/* empty css                                               */
;/* empty css                                          */
;/* empty css                              */
require("./stores/basic.js");
;/* empty css                                             */
require("./core/hooks/useUserState/useUserActions/useMemberInviteAction.js");
;/* empty css                                               */
;/* empty css                                                 */
;/* empty css                                                 */
;/* empty css                                      */
;/* empty css                                      */
;/* empty css                                           */
;/* empty css                                                       */
;/* empty css                                                     */
;/* empty css                                                     */
;/* empty css                                    */
const _hoisted_1 = { class: "live-header" };
const _hoisted_2 = { class: "top-right-operator-h5" };
const _hoisted_3 = { class: "live-body" };
const _hoisted_4 = { class: "live-content" };
const _hoisted_5 = {
  key: 0,
  class: "tui-live-gift-area"
};
const _hoisted_6 = {
  key: 1,
  class: "tui-live-anchor-controls"
};
const _hoisted_7 = { class: "live-audio-video-setting" };
const _hoisted_8 = { class: "live-end-live-button" };
const _hoisted_9 = { class: "live-interactive" };
const _hoisted_10 = {
  key: 0,
  class: "tui-live-audience-list"
};
const _hoisted_11 = { class: "tui-live-chat" };
const _sfc_main = /* @__PURE__ */ Vue.defineComponent({
  __name: "liveMainView",
  props: {
    userInfo: {}
  },
  emits: [
    "on-log-out",
    "on-create-room",
    "on-enter-room",
    "on-exit-room",
    "on-destroy-room",
    "on-kicked-out-of-room",
    "on-kicked-off-line",
    "on-userSig-expired"
  ],
  setup(__props, { expose: __expose, emit: __emit }) {
    const roomEngine = room.useRoomStore();
    const { getUserRole } = roomEngine;
    const { isAnchor, isAudience } = pinia.storeToRefs(roomEngine);
    const isShowPasswordContainer = Vue.ref(false);
    const isShowLoading = Vue.ref(true);
    const isDisplayGiftList = Vue.ref(false);
    useGiftPlayerCard.createGiftCardManager();
    useTRTCDetect.default();
    useDeviceManager.default({ listenForDeviceChange: true });
    const { t } = roomService.roomService;
    __expose({
      init,
      createRoom,
      enterRoom,
      dismissRoom,
      leaveRoom,
      resetStore,
      t
    });
    const emit = __emit;
    const handleOpenMoreGiftList = () => {
      isDisplayGiftList.value = !isDisplayGiftList.value;
    };
    const handleClickOutside = () => {
      isDisplayGiftList.value = false;
    };
    const handleEndLiving = () => {
      roomService.roomService.dismissRoom();
    };
    const showMessageBox = (data) => {
      const {
        message,
        title = roomService.roomService.t("Note"),
        duration,
        cancelButtonText,
        confirmButtonText = roomService.roomService.t("Sure"),
        callback = () => {
        }
      } = data;
      index$4.default({
        title,
        message,
        duration,
        cancelButtonText,
        confirmButtonText,
        callback
      });
    };
    const showMessage = (data) => {
      const { type, message, duration } = data;
      Message.default({
        type,
        message,
        duration
      });
    };
    Vue.onMounted(() => {
      roomService.roomService.on(types.EventType.ROOM_NOTICE_MESSAGE, showMessage);
      roomService.roomService.on(types.EventType.ROOM_NOTICE_MESSAGE_BOX, showMessageBox);
      roomService.roomService.on(types.EventType.KICKED_OUT, onKickedOutOfRoom);
      roomService.roomService.on(types.EventType.USER_SIG_EXPIRED, onUserSigExpired);
      roomService.roomService.on(types.EventType.KICKED_OFFLINE, onKickedOffLine);
      roomService.roomService.on(types.EventType.ROOM_START, onStartRoom);
      roomService.roomService.on(types.EventType.ROOM_JOIN, onJoinRoom);
      roomService.roomService.on(types.EventType.ROOM_LEAVE, onLeaveRoom);
      roomService.roomService.on(types.EventType.ROOM_DISMISS, onDismissRoom);
      roomService.roomService.on(types.EventType.USER_LOGOUT, onLogout);
      roomService.roomService.on(types.EventType.ROOM_NEED_PASSWORD, onRoomNeedPassword);
    });
    Vue.onUnmounted(() => {
      roomService.roomService.off(types.EventType.ROOM_NOTICE_MESSAGE, showMessage);
      roomService.roomService.off(types.EventType.ROOM_NOTICE_MESSAGE_BOX, showMessageBox);
      roomService.roomService.off(types.EventType.KICKED_OUT, onKickedOutOfRoom);
      roomService.roomService.off(types.EventType.USER_SIG_EXPIRED, onUserSigExpired);
      roomService.roomService.off(types.EventType.KICKED_OFFLINE, onKickedOffLine);
      roomService.roomService.off(types.EventType.ROOM_START, onStartRoom);
      roomService.roomService.off(types.EventType.ROOM_JOIN, onJoinRoom);
      roomService.roomService.off(types.EventType.ROOM_LEAVE, onLeaveRoom);
      roomService.roomService.off(types.EventType.ROOM_DISMISS, onDismissRoom);
      roomService.roomService.off(types.EventType.USER_LOGOUT, onLogout);
      roomService.roomService.off(types.EventType.ROOM_NEED_PASSWORD, onRoomNeedPassword);
      roomService.roomService.resetStore();
    });
    const roomContentRef = Vue.ref();
    const showRoomTool = Vue.ref(true);
    const roomRef = Vue.ref();
    function handleHideRoomTool() {
      showRoomTool.value = false;
    }
    Vue.watch(
      () => roomRef.value,
      (newValue, oldValue) => {
        if (!environment.isWeChat && !environment.isMobile) {
          if (newValue) {
            addRoomContainerEvent(newValue);
          } else {
            oldValue && removeRoomContainerEvent(oldValue);
          }
        }
      }
    );
    const handleHideRoomToolDebounce = utils.debounce(handleHideRoomTool, 5e3);
    const handleHideRoomToolThrottle = utils.throttle(handleHideRoomToolDebounce, 1e3);
    const showTool = () => {
      showRoomTool.value = true;
      handleHideRoomToolDebounce();
    };
    const showToolThrottle = () => {
      showRoomTool.value = true;
      handleHideRoomToolThrottle();
    };
    const hideTool = () => {
      handleHideRoomTool();
    };
    const addRoomContainerEvent = (container) => {
      container.addEventListener("mouseenter", showTool);
      container.addEventListener("click", showTool);
      container.addEventListener("mousemove", showToolThrottle);
      container.addEventListener("mouseleave", hideTool);
    };
    const removeRoomContainerEvent = (container) => {
      container.removeEventListener("mouseenter", showTool);
      container.removeEventListener("click", showTool);
      container.removeEventListener("mousemove", showToolThrottle);
      container.removeEventListener("mouseleave", hideTool);
    };
    function handleRoomContentTap() {
      showRoomTool.value = !showRoomTool.value;
      if (showRoomTool.value) {
        handleHideRoomToolDebounce();
      }
    }
    async function dismissRoom() {
      await roomService.roomService.dismissRoom();
    }
    async function leaveRoom() {
      const userRole = getUserRole(__props.userInfo.userId);
      if (userRole === TUIRoomEngine.TUIRole.kRoomOwner) {
        await roomService.roomService.dismissRoom();
      } else {
        await roomService.roomService.leaveRoom();
      }
    }
    async function init(option) {
      await roomService.roomService.initRoomKit(option);
    }
    async function createRoom(options) {
      const { roomId, roomName, roomParam } = options;
      roomService.roomService.createRoom({
        roomId,
        roomName,
        roomParam
      });
    }
    async function enterRoom(options) {
      await roomService.roomService.enterRoom(options);
    }
    function onRoomNeedPassword(code) {
      if (code === TUIRoomEngine.TUIErrorCode.ERR_NEED_PASSWORD) {
        isShowPasswordContainer.value = true;
      }
    }
    function resetStore() {
      roomService.roomService.resetStore();
    }
    const logout = async () => {
      const userRole = getUserRole(__props.userInfo.userId);
      if (userRole === TUIRoomEngine.TUIRole.kRoomOwner) {
        await roomService.roomService.dismissRoom();
      } else if (userRole === TUIRoomEngine.TUIRole.kGeneralUser) {
        await roomService.roomService.leaveRoom();
      }
      roomService.roomService.logout();
    };
    const onStartRoom = () => {
      isShowLoading.value = false;
      emit("on-create-room", { code: 0, message: "create room" });
    };
    const onJoinRoom = () => {
      isShowLoading.value = false;
      isShowPasswordContainer.value = false;
      emit("on-enter-room", { code: 0, message: "enter room" });
    };
    const onLeaveRoom = async () => {
      emit("on-exit-room", { code: 0, message: "exit room" });
    };
    const onDismissRoom = () => {
      emit("on-destroy-room", { code: 0, message: "destroy room" });
    };
    const onLogout = () => {
      emit("on-log-out", { code: 0, message: "user logout" });
    };
    const onKickedOutOfRoom = async (eventInfo) => {
      const { roomId, reason, message } = eventInfo;
      emit("on-kicked-out-of-room", { roomId, reason, message });
    };
    const onUserSigExpired = () => {
      emit("on-userSig-expired");
    };
    const onKickedOffLine = (eventInfo) => {
      const { message } = eventInfo;
      emit("on-kicked-off-line", { message });
    };
    return (_ctx, _cache) => {
      const _component_SvgIcon = Vue.resolveComponent("SvgIcon");
      return isShowLoading.value ? (Vue.openBlock(), Vue.createBlock(LoadingOverlay.default, { key: 0 })) : (Vue.openBlock(), Vue.createElementBlock("div", {
        key: 1,
        id: "liveContainer",
        ref_key: "roomRef",
        ref: roomRef,
        class: "tui-live-container"
      }, [
        Vue.createElementVNode("div", _hoisted_1, [
          _cache[0] || (_cache[0] = Vue.createElementVNode("img", {
            class: "logo",
            src: logo.default,
            alt: "logo"
          }, null, -1)),
          Vue.createVNode(Vue.unref(index.default), {
            class: "user-info",
            "user-id": _ctx.userInfo.userId,
            "user-name": _ctx.userInfo.userName || _ctx.userInfo.userId,
            "avatar-url": _ctx.userInfo.avatarUrl,
            onLogOut: logout
          }, null, 8, ["user-id", "user-name", "avatar-url"]),
          Vue.createElementVNode("div", _hoisted_2, [
            Vue.createVNode(AudienceListH5.default),
            Vue.createVNode(_component_SvgIcon, {
              class: "svg-icon",
              icon: CloseIcon.default,
              onClick: leaveRoom
            })
          ])
        ]),
        Vue.createElementVNode("div", _hoisted_3, [
          Vue.createElementVNode("div", _hoisted_4, [
            Vue.createVNode(AnchorInfo.default, { class: "anchor-info-area" }),
            Vue.withDirectives(Vue.createVNode(index$1.default, {
              ref_key: "roomContentRef",
              ref: roomContentRef,
              class: "tui-live-stream-content"
            }, null, 512), [
              [
                Vue.unref(vTap.default),
                handleRoomContentTap,
                void 0,
                { lazy: true }
              ]
            ]),
            Vue.unref(isAudience) ? Vue.withDirectives((Vue.openBlock(), Vue.createElementBlock("div", _hoisted_5, [
              Vue.createVNode(GiftList.default, {
                class: Vue.normalizeClass(["gift-list", isDisplayGiftList.value ? "display-gift-list-h5" : ""])
              }, null, 8, ["class"]),
              Vue.createVNode(GiftPopupList.default, {
                class: Vue.normalizeClass(["gift-list-popup", { "display-gift-list-popup": isDisplayGiftList.value }])
              }, null, 8, ["class"]),
              Vue.createVNode(GiftMore.default, {
                class: "gift-more",
                onClick: handleOpenMoreGiftList
              })
            ])), [
              [Vue.unref(vClickOutside.default), handleClickOutside]
            ]) : Vue.createCommentVNode("", true),
            Vue.unref(isAnchor) ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_6, [
              Vue.createElementVNode("div", _hoisted_7, [
                Vue.createVNode(index_vue_vue_type_script_setup_true_lang.default, {
                  displayMode: Vue.unref(MediaDeviceSetting.MediaSettingDisplayMode).Icon
                }, null, 8, ["displayMode"]),
                Vue.createVNode(index$2.default, {
                  displayMode: Vue.unref(MediaDeviceSetting.MediaSettingDisplayMode).Icon
                }, null, 8, ["displayMode"])
              ]),
              Vue.createElementVNode("div", _hoisted_8, [
                Vue.createVNode(Vue.unref(uikitBaseComponentVue3.TUIButton), {
                  size: "big",
                  type: "primary",
                  color: "red",
                  onClick: Vue.withModifiers(handleEndLiving, ["stop"])
                }, {
                  default: Vue.withCtx(() => [
                    Vue.createTextVNode(Vue.toDisplayString(Vue.unref(t)("End Living")), 1)
                  ]),
                  _: 1
                })
              ])
            ])) : Vue.createCommentVNode("", true),
            Vue.createVNode(ShareLink.default, { class: "tui-share-link-button" })
          ]),
          Vue.createElementVNode("div", _hoisted_9, [
            !isShowLoading.value ? (Vue.openBlock(), Vue.createElementBlock("div", _hoisted_10, [
              Vue.createVNode(AudienceList.default)
            ])) : Vue.createCommentVNode("", true),
            Vue.createElementVNode("div", _hoisted_11, [
              Vue.createVNode(index$3.default)
            ])
          ])
        ])
      ], 512));
    };
  }
});
exports.default = _sfc_main;
