interface IDomRect {
    id: string;
    top: number;
    left: number;
    right: number;
    width: number;
    bottom: number;
    height: number;
    x?: number;
    y?: number;
}
interface IScrollInfo {
    scrollHeight: number;
    scrollLeft: number;
    scrollTop: number;
    scrollWidth: number;
    id: string;
}
interface IFields {
    [key: string]: any;
}
type registeredPage = 'messageList';
export declare const instanceMapping: Map<"messageList", any>;
/**
 *
 * @param selector string: e.g. #app | .class
 * @param instanceName string
 * @returns Promise<IDomRect>
 */
export declare function getBoundingClientRect(selector: string | HTMLElement, instanceName?: registeredPage): Promise<IDomRect>;
export declare function getBoundingClientRectSync(selector: string | HTMLElement): IDomRect;
/**
 *
 * @param selector string: e.g. #app | .class
 * @param instanceName string
 * @returns Promise<IScrollInfo>
 */
export declare function getScrollInfo(selector: string | HTMLElement, instanceName?: registeredPage): Promise<IScrollInfo>;
export declare function getScrollInfoSync(selector: string | HTMLElement): IScrollInfo;
export declare function getFields(selector: string | HTMLElement, instanceName?: registeredPage): Promise<IFields>;
export {};
