"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const environment = require("./environment.js");
const utils = require("./utils.js");
const isGetUserMediaSupported = function() {
  if (environment.isElectron || environment.isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && utils.isFunction(navigator.mediaDevices.getUserMedia);
}();
(function() {
  if (environment.isElectron || environment.isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && utils.isFunction(navigator.mediaDevices.getDisplayMedia);
})();
const isEnumerateDevicesSupported = function() {
  if (environment.isElectron || environment.isWeChat) {
    return true;
  }
  return navigator && navigator.mediaDevices && utils.isFunction(navigator.mediaDevices.enumerateDevices);
}();
exports.isEnumerateDevicesSupported = isEnumerateDevicesSupported;
exports.isGetUserMediaSupported = isGetUserMediaSupported;
